import { Position } from './location-tracker';
export declare enum AbnormalState {
    ERROR = 0,
    WARNING = 1
}
export type AbnormalStateListener = (type: AbnormalState, msg: string, range: Position[]) => void;
declare function notifyError(msg: string): void;
declare function notifyWarning(msg: string): void;
declare function setAbnormalStateReceiveListener(value: AbnormalStateListener): void;
export { notifyError, notifyWarning, setAbnormalStateReceiveListener };
