import { Parser } from 'htmlparser2';
export type Position = {
    line: number;
    column: number;
};
export declare function getCurrentLocationTracker(): LocationTracker;
export declare function setCurrentLocationTracker(tracker: LocationTracker): void;
export declare class LocationTracker {
    private readonly source;
    private readonly parser;
    private lastPosition;
    private lastIndex;
    constructor(source: string, parser: Parser);
    getCurrentStartPosition(): Position;
    getCurrentEndPosition(): Position;
    getPosition(index: number): Position;
}
