import { Program } from '@babel/types';
import { AttributeValueFormatter } from '../builders/base-builder';
export interface LoaderOptions {
    appPath: string;
    platform: string;
    compileWithMarkupErrors?: boolean;
    useDataBinding?: boolean;
    preprocess?: {
        attributeValueFormatter?: AttributeValueFormatter;
        transformAst?: (ast: Program, generateFunc: any) => string;
    };
}
export declare const GLOBAL_UI_REF = "simpleUI";
export declare function chainLoaderConfiguration(config: any, options: LoaderOptions): void;
